# This is the Makefile for the MiniTerm Project

# Author: Jerry LeVan
#		  325 Boone Trail
#		  Richmond Ky 40475
#
#		  May 20,1987

# Library definitions

Libs =  "{clibraries}"cruntime.o 
	    "{clibraries}"cinterface.o 
		"{clibraries}"StdCLib.o 
		"{libraries}"interface.o

### dependency rules ###

MiniTerm		MiniTerm.r		# xMiniTerm depends on MiniTerm.r
	Rez MiniTerm.r -o MiniTerm


MiniTerm		MiniTerm.c.o	# the main code 
			errmsg.c.o	# Error message display unit 
			initmodem.c.o # modem initialization code 
			processchar.c.o # read/write modem 
			file.c.o	# standard file and opens 
			vt100.c.o # screen management library 
			xmodem.c.o	# xmodem protocol 
			launch.c.o	# launch code 
			clock.c.o	# code that maintains the clock 
			MiniTerm.r	# The main resource file 
			Dialer.c.o	# The Dialer module 
			pace.c.o	# the pace dialog 
			cursordialog.c.o # the cursor shape changer
			
	Link MiniTerm.c.o 
		 errmsg.c.o 
		 initmodem.c.o 
		 processchar.c.o 
		 file.c.o 
		 launch.c.o 
		 clock.c.o 
		 vt100.c.o 
		 xmodem.c.o 
		 dialer.c.o 
		 pace.c.o 
		 cursordialog.c.o 
		 {Libs} 
		 -o MiniTerm

